VERSION 5.00
Begin VB.Form frmTest 
   Caption         =   "Advanced window by The trick"
   ClientHeight    =   3240
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   6300
   Icon            =   "frmTest.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3240
   ScaleWidth      =   6300
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdDuplicate 
      Caption         =   "Duplicate"
      Height          =   525
      Left            =   135
      TabIndex        =   11
      Top             =   2550
      Width           =   6165
   End
   Begin VB.Frame fraProgress 
      Caption         =   "Progress"
      Height          =   2295
      Left            =   3270
      TabIndex        =   6
      Top             =   135
      Width           =   3030
      Begin VB.PictureBox picXPContainer 
         Appearance      =   0  'Flat
         BorderStyle     =   0  'None
         ForeColor       =   &H80000008&
         Height          =   405
         Left            =   75
         ScaleHeight     =   405
         ScaleWidth      =   2865
         TabIndex        =   12
         Top             =   1365
         Width           =   2865
         Begin VB.OptionButton optState 
            Caption         =   "Normal"
            Height          =   330
            Index           =   0
            Left            =   165
            TabIndex        =   15
            Top             =   0
            Value           =   -1  'True
            Width           =   810
         End
         Begin VB.OptionButton optState 
            Caption         =   "Pause"
            Height          =   330
            Index           =   1
            Left            =   1020
            TabIndex        =   14
            Top             =   0
            Width           =   810
         End
         Begin VB.OptionButton optState 
            Caption         =   "Error"
            Height          =   330
            Index           =   2
            Left            =   1875
            TabIndex        =   13
            Top             =   0
            Width           =   810
         End
      End
      Begin VB.CommandButton cmdStopProgress 
         Caption         =   "Stop progress"
         Height          =   465
         Left            =   1530
         TabIndex        =   10
         Top             =   330
         Width           =   1335
      End
      Begin VB.CommandButton cmdProgress 
         Caption         =   "Animate progress"
         Height          =   465
         Left            =   165
         TabIndex        =   9
         Top             =   330
         Width           =   1335
      End
      Begin VB.CommandButton cmdHideProgress 
         Caption         =   "Hide progress"
         Height          =   465
         Left            =   1530
         TabIndex        =   8
         Top             =   855
         Width           =   1335
      End
      Begin VB.CommandButton cmdShowProgress 
         Caption         =   "Show progress"
         Height          =   465
         Left            =   165
         TabIndex        =   7
         Top             =   855
         Width           =   1335
      End
   End
   Begin VB.Frame fraIcon 
      Caption         =   "Icon"
      Height          =   2295
      Left            =   75
      TabIndex        =   0
      Top             =   120
      Width           =   3120
      Begin VB.ComboBox cboIcon 
         Height          =   315
         ItemData        =   "frmTest.frx":000C
         Left            =   135
         List            =   "frmTest.frx":0016
         Style           =   2  'Dropdown List
         TabIndex        =   4
         Top             =   1710
         Width           =   2760
      End
      Begin VB.CommandButton cmdStopAnimation 
         Caption         =   "Stop animation"
         Height          =   465
         Left            =   165
         TabIndex        =   3
         Top             =   885
         Width           =   2745
      End
      Begin VB.CommandButton cmdIconLoop 
         Caption         =   "Animate icon (loop)"
         Height          =   465
         Left            =   1560
         TabIndex        =   2
         Top             =   345
         Width           =   1335
      End
      Begin VB.CommandButton cmdIcon 
         Caption         =   "Animate icon"
         Height          =   465
         Left            =   165
         TabIndex        =   1
         Top             =   345
         Width           =   1335
      End
      Begin VB.Label lblLabel 
         Caption         =   "Icon:"
         Height          =   255
         Left            =   165
         TabIndex        =   5
         Top             =   1425
         Width           =   1335
      End
   End
   Begin VB.Timer tmrTimer 
      Enabled         =   0   'False
      Interval        =   32
      Left            =   5250
      Top             =   2280
   End
End
Attribute VB_Name = "frmTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'      
'     (The trick), 2014

Dim Value As Single

Private Sub cboIcon_Click()
    Select Case cboIcon.ListIndex
    Case 0: SetIcon Me, LoadResPicture("TRICKICON", vbResBitmap), 21
    Case 1: SetIcon Me, LoadResPicture("WAITICON", vbResBitmap), 20
    End Select
End Sub

Private Sub cmdDuplicate_Click()
    Dim frm As frmTest
    Set frm = New frmTest
    frm.Show
End Sub

Private Sub cmdHideProgress_Click()
    SetProgressState Me, TBPF_NOPROGRESS
End Sub

Private Sub cmdIcon_Click()
    PlayAnimation Me, 32, False
End Sub
Private Sub cmdIconLoop_Click()
    PlayAnimation Me, 32, True
End Sub
Private Sub cmdProgress_Click()
    tmrTimer.Enabled = True
    Value = 0
End Sub
Private Sub cmdShowProgress_Click()
    If optState(0).Value Then SetProgressState Me, TBPF_NORMAL
    If optState(1).Value Then SetProgressState Me, TBPF_PAUSED
    If optState(2).Value Then SetProgressState Me, TBPF_ERROR
End Sub
Private Sub cmdStopAnimation_Click()
    StopAnimation Me
End Sub
Private Sub cmdStopProgress_Click()
    tmrTimer.Enabled = False
End Sub
Private Sub Form_Load()
    SetNCSkin Me
    cboIcon.ListIndex = 0
End Sub
Private Sub Form_Unload(Cancel As Integer)
    RemoveNCSkin Me
End Sub
Private Sub optState_Click(Index As Integer)
    Call cmdShowProgress_Click
End Sub

Private Sub tmrTimer_Timer()
    Value = Value + 0.01
    SetProgressValue Me, Value
End Sub
